Bug 560557 - SELinux is preventing /usr/libexec/polkit-gnome-authentication-agent-1.#prelink#.H5skzc (deleted) "setattr" access on /var/cache/fontconfig.
Summary: SELinux is preventing /usr/libexec/polkit-gnome-authentication-agent-1.#preli...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:19f72335737...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-01 06:40 UTC by Rolle
Modified: 2010-02-11 14:42 UTC (History)
3 users (show)

Fixed In Version: 3.6.32-84.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-11 14:42:17 UTC


Attachments (Terms of Use)

Description Rolle 2010-02-01 06:40:43 UTC
Zusammenfassung:

SELinux is preventing
/usr/libexec/polkit-gnome-authentication-agent-1.#prelink#.H5skzc (deleted)
"setattr" access on /var/cache/fontconfig.

Detaillierte Beschreibung:

SELinux denied access requested by polkit-gnome-au. It is not expected that this
access is required by polkit-gnome-au and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Zugriff erlauben:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Zusätzliche Informationen:

Quellkontext                  unconfined_u:unconfined_r:policykit_auth_t:s0-s0:c
                              0.c1023
Zielkontext                   system_u:object_r:fonts_cache_t:s0
Zielobjekte                   /var/cache/fontconfig [ dir ]
Quelle                        polkit-gnome-au
Quellen-Pfad                  /usr/libexec/polkit-gnome-authentication-
                              agent-1.#prelink#.H5skzc (deleted)
Port                          <Unbekannt>
Host                          (removed)
Quellen-RPM-Pakete            
Ziel-RPM-Pakete               fontconfig-2.8.0-1.fc12
RPM-Richtlinie                selinux-policy-3.6.32-69.fc12
SELinux aktiviert             True
Richtlinienversion            targeted
Enforcing-Modus               Enforcing
Plugin-Name                   catchall
Hostname                      (removed)
Plattform                     Linux (removed) 2.6.31.9-174.fc12.x86_64 #1 SMP Mon Dec
                              21 05:33:33 UTC 2009 x86_64 x86_64
Anzahl der Alarme             1
Zuerst gesehen                Do 21 Jan 2010 07:18:51 CET
Zuletzt gesehen               Do 21 Jan 2010 07:18:51 CET
Lokale ID                     8a2ff6d3-5d94-4259-b90d-b22517755ad0
Zeilennummern                 

Raw-Audit-Meldungen           

node=(removed) type=AVC msg=audit(1264054731.223:26409): avc:  denied  { setattr } for  pid=1744 comm="polkit-gnome-au" name="fontconfig" dev=sda5 ino=50744 scontext=unconfined_u:unconfined_r:policykit_auth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:fonts_cache_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1264054731.223:26409): arch=c000003e syscall=90 success=no exit=-13 a0=19d8760 a1=1ed a2=d a3=7fff3b95b0e0 items=0 ppid=1580 pid=1744 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="polkit-gnome-au" exe=2F7573722F6C6962657865632F706F6C6B69742D676E6F6D652D61757468656E7469636174696F6E2D6167656E742D312E237072656C696E6B232E4835736B7A63202864656C6574656429 subj=unconfined_u:unconfined_r:policykit_auth_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-69.fc12,catchall,polkit-gnome-au,policykit_auth_t,fonts_cache_t,dir,setattr
audit2allow suggests:

#============= policykit_auth_t ==============
allow policykit_auth_t fonts_cache_t:dir setattr;

Comment 1 Daniel Walsh 2010-02-01 20:46:13 UTC
Miroslav please add

miscfiles_setattr_fonts_cache_dirs(policykit_auth_t)

Comment 2 Miroslav Grepl 2010-02-02 09:38:39 UTC
Fixed in selinux-policy-3.6.32-81.fc12

Comment 3 Fedora Update System 2010-02-03 23:21:17 UTC
selinux-policy-3.6.32-82.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-82.fc12

Comment 4 Fedora Update System 2010-02-05 01:44:50 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1492

Comment 5 Fedora Update System 2010-02-11 14:37:34 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.